<?php

namespace domain\User\UserUserGroup;

use domain\_\AbstractModule;

class UserUserGroupModule extends AbstractModule
{
    public function getServices(): array
    {
        return [
            UserUserGroupDefinition::class,
            UserUserGroupRepository::class,
            UserUserGroupBuilder::class
        ];
    }

    public function getDefinition(): UserUserGroupDefinition
    {
        return UserUserGroupDefinition::getInstance();
    }

    public function getRepository(): UserUserGroupRepository
    {
        return UserUserGroupRepository::getInstance();
    }

    public function getBuilder(): UserUserGroupBuilder
    {
        return UserUserGroupBuilder::getInstance();
    }
}